import Vue from 'vue'

import d2Container from './d2-container'

// 注意 有些组件使用异步加载会有影响
Vue.component('d2-container', d2Container)
Vue.component('d2-icon', () => import('./d2-icon'))
Vue.component('d2-icon-svg', () => import('./d2-icon-svg/index.vue'))
// 分页
Vue.component('pagination', () => import('./common/pagination/index.vue'))
// 上传图片 
Vue.component('update-image', () => import('./common/single-update/index.vue'))
// 图片
Vue.component('lookImage', () => import('./common/lookImage/index.vue'))
// 修改 账号 密码
Vue.component('modifyPws', () => import('./common/modifyPsw/index.vue'))